Segmentation Fault When Trying to Update devkitPro

Post Reply
DLDrago
Posts: 3
Joined: Wed Oct 16, 2019 3:37 pm

Segmentation Fault When Trying to Update devkitPro

Post by DLDrago » Mon May 30, 2022 6:51 pm

I'm having trouble with WSL2's key. Basically, I do everything including resetting the key, but I keep getting a segmentation fault.

[email protected]:~$ sudo dkp-pacman -U devkitpro-keyring.pkg.tar.xz
loading packages...
resolving dependencies...
looking for conflicting packages...

Packages (1) devkitpro-keyring-20180316-1

Total Installed Size: 0.03 MiB

Code: Select all

[email protected]:/opt/devkitpro/pacman/etc$ sudo dkp-pacman -Sy
error: dkp-libs: key "032F4C9D0B8FF3BC84019B7862C7609ADA219C60" is unknown
:: Import PGP key 032F4C9D0B8FF3BC84019B7862C7609ADA219C60? [Y/n] Y

error: segmentation fault
Please submit a full bug report with --debug if appropriate.
Segmentation fault

WinterMute
Site Admin
Posts: 1567
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: Segmentation Fault When Trying to Update devkitPro

Post by WinterMute » Tue May 31, 2022 1:46 am

You've done something odd and broken the installation somehow. Recommend you remove the installation with

Code: Select all

sudo dpkg --purge devkitpro-pacman
sudo rm -fr /opt/devkitpro
Then follow the instructions to set up our apt repository found at wiki/devkitPro_pacman#Installing_devkitPro_Pacman
Help keep devkitPro toolchains free, Donate today

Personal Blog

DLDrago
Posts: 3
Joined: Wed Oct 16, 2019 3:37 pm

Re: Segmentation Fault When Trying to Update devkitPro

Post by DLDrago » Tue May 31, 2022 4:05 pm

That worked, thank you.

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests